local fn = _gn(0x35f743b5)
--- Registers a track junction that when enabled will cause a train on the defined trackIndex, node and direction to change its current track index and begin traveling on the new node
-- @param trackIndex The track index a train should be on
-- @param trackNode The node a train should be on
-- @param newIndex The new track index for a train to be placed on
-- @param newNode The new track node for a train to be placed on
-- @param direction The direction a train should be traveling for this junction
-- @return The track junction's handle or -1 if invalid.
function Global.RegisterTrackJunction(trackIndex, trackNode, newIndex, newNode, direction)
	return fn(trackIndex, trackNode, newIndex, newNode, direction, _ri)
end
